%Given a matrix M, finds the signature of the matrix (1- omega)M + (1-
%conjugate(omega)M' for omega a unit modulus complex number.  The signature 
%of a square matrix is the sum of the eigenvalues of the matrix.

function f=signature(M,omega)

if abs(omega)~=1
    error('Please input a square matrix and a unit modulus complex number')
elseif size(M,1)~= size(M,2)
    error('Please input a square matrix and a unit modulus complex number')    
end

M2= (1-omega)*M + (1 - conj(omega))*M';

eigenvalues=eig(M2);
eigenvalues2=sign(eigenvalues);
f=sum(eigenvalues2);