%A program to put a braid into its smallest representation.  For example,
%the braid [3 3 3] is actually the trefoil [1 1 1], and [7 -8 7 -8] can be
%written as [1 -2 1 -2].

function f=smallest_braid(x)

%We delete any zero values in x.
k=0;
for i=1:length(x)
    if x(i-k)==0
        k=k+1;
        x(i-k+1)=[];
    end
end

%We reduce the braid so that the smallest positive value is 1.
smallest=min(abs(x));
for i=1:length(x)
    if x(i)>0
        x(i)=x(i)-(smallest-1);
    else
        x(i)=x(i)+(smallest-1);
    end
end

f=x;